## org.apache.lucene.spatial.geometry
Enum DistanceUnits

    java.lang.Object
      java.lang.Enum<DistanceUnits>
          org.apache.lucene.spatial.geometry.DistanceUnits

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DistanceUnits>

    public enum DistanceUnits

extends java.lang.Enum<DistanceUnits>

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Enum Constant Summary
`KILOMETERS`
`MILES`

Method Summary
`static DistanceUnits` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DistanceUnits[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MILES

    public static final DistanceUnits MILES

### KILOMETERS

    public static final DistanceUnits KILOMETERS

Method Detail

### values

    public static DistanceUnits[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DistanceUnits c : DistanceUnits.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DistanceUnits valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.